Package org.python.core

# Class imp.CodeData

java.lang.Object
org.python.core.imp.CodeData

Enclosing class:
  imp

public static class imp.CodeData extends Object
A bundle of a file name, the file's content and a last modified time, with no behaviour. As used here, the file is a class file and the last modified time is that of the matching source, while the filename is taken from the annotation in the class file. See `imp.readCodeData(String, InputStream, boolean, long)`.

## Constructor Summary

Constructors
Constructor
Description
`CodeData(byte[] bytes, long mtime, String filename)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getBytes()`
`String`
`getFilename()`
`long`
`getMTime()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CodeData

public CodeData(byte[] bytes, long mtime, String filename)

## Method Details

### getBytes

public byte[] getBytes()

### getMTime

public long getMTime()

### getFilename

public String getFilename()